QGIS Application - Bug report #11544
Minidump - When trying to save project file
2014-11-04 04:11 AM - Julian O'Neill

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.6.0

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: duplicate

Copied to github as #: 19814

Description

Hello,

Hope you can help.

When trying to setting up a default project template | noticed the following fatal bug.

| set up 4 drawing frames in four separate print composers, all of which included a Legend. Because | wanted this to be the default

project | removed all of the layers which were used to create the legend items in the print composers. | wanted the legends to remain in

place, despite there being no associated layer - | am guessing that this is not possible; however | do not believe it should cause the fatal
error. When subsequently trying to save the file (save as included) the operation would fail and cause QGIS to 'MiniDump'. This problem

was rectifying by removing the legends from the print composers.

As a side note it would be very useful to be able to do what | was trying in the first place; i.e. set up a blank project file with a legend

already in place, in order to speed up drawing of outputs which we regularly use.

I hope this makes sense, please let me know if | can be of any further assistance.

Regards

Julian

Related issues:

Related to QGIS Application - Bug report # 11592: Failure to write the projec...

Closed

2014-11-07

History

#1 - 2014-11-04 06:20 AM - Giovanni Manghi

- Target version changed from Version 2.6 to Version 2.8
- Priority changed from Severe/Regression to Normal

- Status changed from Open to Feedback

- Category changed from Project Loading/Saving to Map Composer/Printing

| have tested the following:

- add a bunch of layers

- create 4 different layouts, each with a map object and a legend

- saved the project
- removed all the layers from the project

*re-saved the project, no crash

- try to save layouts as templates, no crash

However I'm not sure what do you mean with "save as included".

tested on Windows/osgeo4w, qgis 2.6 and master.

Eventually attach a working project and describe the steps to subsequently get the crash. Thanks.

#2 - 2014-11-07 08:17 AM - Martin Dobias

- Resolution set to duplicate
- Status changed from Feedback to Closed

Duplicate of #11592
